xyzsh shell script language
=====

xyzsh features perl like text processing and object oriented programing for shell script language.  You can this as interactive shell with customizable completion.

# News and Downloads


# Documentation
See USAGE or USAGE.ja

# Installing
See README

# Contact Info
send email to ab25cq@gmail.com

# Sample Code

    > ls -F
    docs/ main samples/ sub.c
    
    > ls | each ( | chomp | -d && | print )
    docs
    samples

    > ls -F | grep -v /
    main.c sub.c

    > ls | each ( ! | chomp | -d && | print )
    main.c sub.c

    > ls | each ( | printf "-+- %s -+-"\n ) | join " "
    -+- docs -+- -+- main -+- -+- samples -+- -+- sub.c -+-

    > cat data
    Gorou Yamanaka
    Rei Tanaka
    Yumiko Shiratori

    > cat data | each ( | =~ Yamanaka && | print )
    Gorou Yamanaka

    > cat data | lines 0..1 (|print )
    Gorou Yamanaka
    Rei Tanaka
    
    > cat data | each ( | split | lines 1 (|print) 0 (|print) ) | join )
    Yamanaka Gorou
    Tanaka Rei
    Shiratori Yumiko
    
    > vim student.xyzsh
    class Student ( 
        | var first_name second_name age country
    
        def show (
            var first_name second_name age country | printf "name: %s %s"¥n"age: %s"¥n"country: %s"¥n
        )
    )
    
    object student
    student->run ( print "Yamanaka Gorou 23 Japan" | split | Student )
    
    > load student.xyzsh
    > student->show
    name: Yamanaka Gorou
    age: 23
    country: Japan

